=== debian/changelog ===
kadu (1.0-2) unstable; urgency=medium

  * Using dpkg-buildflags to set compilation and linker flags.
  * Added 03-no-CMAKE_CXX_FLAGS-overwrite.patch to make it possible to set
    compilation flags.
  * Removed lintian override for RPATH in Kadu's plugins.
  * Using chrpath to strip Kadu's plugins from RPATH, since they're not
    needed there.

 -- Patryk Cisek <patryk@debian.org>  Thu, 02 Oct 2014 11:55:19 +0200

kadu (1.0-1) unstable; urgency=medium

  * New upstream release (Closes: #620690, #696761)
  * Fixed build on kfreebsd-* (Closes: #755105)
  * Updated copyright information in debian/copyright
  * Added debian/tmp/usr/share/kadu/AUTHORS.html to debian/kadu.docs

 -- Patryk Cisek <patryk@debian.org>  Tue, 30 Sep 2014 19:15:28 +0200

kadu (1.0~rc10-1) unstable; urgency=medium

  * New upstream release
  * Added libkadu package

 -- Patryk Cisek <patryk@debian.org>  Thu, 25 Sep 2014 18:39:45 +0200
